Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2Instrument

    java.lang.Object
      javax.sound.midi.SoundbankResource
          javax.sound.midi.Instrument
              com.sun.media.sound.ModelInstrument
                  com.sun.media.sound.SF2Instrument

    public class SF2Instrument

extends ModelInstrument

Soundfont instrument.

Author:
  Karl Helgason

Constructor Summary
`SF2Instrument()`
`SF2Instrument(SF2Soundbank soundbank)`

Method Summary
`java.lang.Object` | `getData()`
`long` | `getGenre()`
`SF2GlobalRegion` | `getGlobalRegion()`
`long` | `getLibrary()`
`long` | `getMorphology()`
`java.lang.String` | `getName()`
`javax.sound.midi.Patch` | `getPatch()`
`ModelPerformer[]` | `getPerformers()`
`java.util.List<SF2InstrumentRegion>` | `getRegions()`
`void` | `setGenre(long genre)`
`void` | `setGlobalZone(SF2GlobalRegion zone)`
`void` | `setLibrary(long library)`
`void` | `setMorphology(long morphology)`
`void` | `setName(java.lang.String name)`
`void` | `setPatch(javax.sound.midi.Patch patch)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.media.sound.ModelInstrument
`getChannelMixer, getChannels, getDirector, getKeys, getPatchAlias`

Methods inherited from class javax.sound.midi.SoundbankResource
`getDataClass, getSoundbank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SF2Instrument

    public SF2Instrument()

### SF2Instrument

    public SF2Instrument(SF2Soundbank soundbank)

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.sound.midi.SoundbankResource`

### setName

    public void setName(java.lang.String name)

### getPatch

    public javax.sound.midi.Patch getPatch()

  Overrides:
    `getPatch` in class `javax.sound.midi.Instrument`

### setPatch

    public void setPatch(javax.sound.midi.Patch patch)

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `javax.sound.midi.SoundbankResource`

### getGenre

    public long getGenre()

### setGenre

    public void setGenre(long genre)

### getLibrary

    public long getLibrary()

### setLibrary

    public void setLibrary(long library)

### getMorphology

    public long getMorphology()

### setMorphology

    public void setMorphology(long morphology)

### getRegions

    public java.util.List<SF2InstrumentRegion> getRegions()

### getGlobalRegion

    public SF2GlobalRegion getGlobalRegion()

### setGlobalZone

    public void setGlobalZone(SF2GlobalRegion zone)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPerformers

    public ModelPerformer[] getPerformers()

  Overrides:
    `getPerformers` in class `ModelInstrument`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD